// Replication, Appendix
** This file runs in the process of running Replication_master.do
** This analysis is described in the Online Appendix.


clear all
set more off

use QJPSReplicationdata_mortgage.dta
set matsize 1500


*******************
* Replication
*******************

** Figures A1, A2, and A3 **
* These figures can be recreated in a standard GIS program using onres and pl280.

** Table A1 **
collapse (mean) nacabystate_ln pl280_edit incpc_ln indianppop, by(year state)
replace pl280_edit=1 if pl280_edit!=0
replace nacabystate_ln=0 if nacabystate_ln==. & year>=2004
sort state
encode state, gen(state_NUM)
xtset state_NUM year
ttest nacabystate_ln, by(pl280_edit)
xtreg nacabystate_ln pl280_edit l.incpc_ln l.indianppop i.year, r cluster(state)
est store e1
estout e1, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))

** Table A2 **
clear all
use QJPSReplicationdata_mortgage.dta

reg i pl280_edit acres_total_ln incpc_ln indianppop dist_ln reg15_i reg30_i i.year if onres==1 & i!=0, r cluster(state)
est store e1
reg i pl280_edit acres_allotted_ln incpc_ln indianppop dist_ln reg15_i reg30_i i.year if onres==1 & i!=0, r cluster(state)
est store e2
estout e1 e2, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))

reg i pl280_edit acres_allottedpertotal incpc_ln indianppop dist_ln reg15_i reg30_i i.year if onres==1 & i!=0, r cluster(state)
est store e3
reg i pl280_edit acres_allottedpertotal pl280allottotal incpc_ln indianppop dist_ln reg15_i reg30_i i.year if onres==1 & i!=0, r cluster(state)
est store e4
estout e3 e4, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))

** Table A3 ** 
reg i pl280_edit onres pl280onres incpc_ln indianppop dist_ln reg15_i reg30_i i.year ///
revenue debt totalexpenditure_pc unempcomp unemp_filled fedigrev publicsafety corrections_filled ///
judicial police prisoners_filled tribes ///
if i!=0, r cluster(state)
est store e1

reg i pl280_edit onres pl280onres incpc_ln indianppop dist_ln reg15_i reg30_i coborrow refi loanterm_ln loan_ln casinos i.ol i.sl i.year ///
revenue debt totalexpenditure_pc unempcomp unemp_filled fedigrev publicsafety corrections_filled ///
judicial police prisoners_filled tribes ///
if i!=0, r cluster(state)
est store e2
estout e1 e2, starlevels(* .1 ** .05 *** .01) cells(b(star fmt(%9.3f)) se(par fmt(%9.3f)))
