// Replication, determinants of entry to treatment (PL280)
** This file runs in the process of running Replication_master.do
** This analysis is described in the section in the text titled, "Public Law 280 as a Quasi-Natural Experiment."

clear all
set more off

use QJPSReplicationdata_entrytotreatment.dta, clear

** Summary tables 1a - 1d can be generated using state, tribes, and pl280_edit.

*******************
* Background Notes
*******************

/* 
Note: if the replicator is interested in the graphical representation of the hazard model, see:
stset year, id(state) failure(pl280) enter(year=1948) origin(year==1948)
sts graph, na
*/


*******************
* Replication
*******************

** Covariates mentioned in text, before footnote 45. **
stcox revenue // Insignificant predictor of entry to treatment.
stcox debt // Insignificant predictor of entry to treatment.
stcox totalexpenditure_pc // Insignificant predictor of entry to treatment.
stcox unempcomp // Insignificant predictor of entry to treatment.

** Footnote 45. **
stcox unemp
stcox unemp_filled // Interpolated unemployment rate

** Covariate mentioned in text, after footnote 45. **
stcox fedigrev

** Covariate mentioned in text, after footnote 46. **
stcox publicsafety
stcox corrections
stcox corrections_filled // Interpolated corrections
stcox judicial
stcox police
stcox prisoners
stcox prisoners_filled // Interpolated corrections

** Footnote 47. **
stcox incpc_ln // (Logged) state income per capita is a significant predictor.

** Footnote 48. **
stcox tribes

** Footnote 49. **
stcox indianppop // Indian population per total state population is a significant predictor.

** Footnote 52. **
stcox indianppop incpc_ln // Both significant.
estat phtest, d // Both fail proportionality assumption.
stcox indianppop incpc_ln, tvc(indianppop incpc_ln) texp(_t) // When including time-varying covariate, no variable achieves significance.
