// Master replication file
/* This is the first (master) file to run to replicate the data analysis in:
* Rachel L. Wellhausen, “Sovereignty, Law, and Finance: Evidence from American Indian Reservations”
* Please contact Rachel L. Wellhausen (rwellhausen@utexas.edu) with any questions */

clear all
set more off

// Replicator should set directory here.
cd "/Users/zhaosongruan/Desktop/阮兆松文档/The University of Chicago/Research Assistant/Professor Ashworth/QJPS/16131/Iteration 2/qjps_16131_supp"


*******************
* Background Notes
*******************

/*
Note 1: The original data that I FOIA-requested from HUD contained the name of the borrower and the name of the coborrower (if present). 
The original data also contained the exact street address of each borrower.
I used the street address to generate "distance to metro" covariate. 
I then dropped the borrower names and the exact street addresses out of an abundance of concern for borrowers' privacy.
Should a replicator have an appropriate interest in this data, please contact me at rwellhausen@utexas.edu.
*/

** Call entry to treatment analysis from section "Public Law 280 as a Quasi-Natural Experiment."
do Replication_entrytotreatment.do

** Call mortgage analysis from section "Effects of Variation in Civil Law: American Indian Housing."
do Replication_mortgage.do

** Call appendix, do and data
do Replication_appendix.do



 
 
 
 
 
 
